/**************************************************************************
**       Title: 
**    $RCSfile: SVMApplicationWithDefaults.hh,v $
**   $Revision: 1.1 $$Name:  $
**       $Date: 2004/08/26 08:36:59 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: SVMApplicationWithDefaults.hh,v $
**  Revision 1.1  2004/08/26 08:36:59  ronneber
**  initital import
**
**
**
**************************************************************************/
#ifndef SVMAPPLICATIONWITHDEFAULTS_HH
#define SVMAPPLICATIONWITHDEFAULTS_HH

#include "BasicFV.hh"
#include "DefaultMultiClassList.hh"
#include "DefaultTwoClassList.hh"
#include "DefaultOneClassList.hh"
#include "DefaultKernelList.hh"
#include "AlgorithmLists.hh"
#include "LoadSaveASCII.hh"
#include "SVMApplication.hh"


namespace svt
{
  typedef SVMApplication< BasicFV,
                          AlgorithmLists< DefaultMultiClassList,
                                          DefaultTwoClassList,
                                          DefaultOneClassList,
                                          DefaultKernelList>,
                          LoadSaveASCII > SVMApplicationWithDefaults;
}

#endif
