/**************************************************************************
**       Title: 
**    $RCSfile: RequireSVMBasicClassification.hh,v $
**   $Revision: 1.1 $$Name:  $
**       $Date: 2004/08/26 08:36:59 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: RequireSVMBasicClassification.hh,v $
**  Revision 1.1  2004/08/26 08:36:59  ronneber
**  initital import
**
**
**
**************************************************************************/
#ifndef REQUIRESVMBASICCLASSIFICATION_HH
#define REQUIRESVMBASICCLASSIFICATION_HH

#include <vector>
#include "RequireHelpers.hh"

namespace svt_check
{
  
  /*======================================================================*/
  /*!
   *  Ensure that SVM provides the methods calcClassificationCache()
   *  and classifyWithCache()  
   */
  /*======================================================================*/
  template<typename SVM, typename FV>
  class RequireSVMBasicClassification
  {
  public:
    ~RequireSVMBasicClassification()
          {
            if( false)
            {
              typename SVM::template Traits<FV>::ModelType model;
              SVM s;
              FV fv;
              std::vector<FV*> fvv;
              std::vector<double> kernelResultByUID;
              s.calcClassificationCache( fv, fvv.begin(),fvv.end(), 
                                         kernelResultByUID);
              double d = s.classifyWithCache( model, kernelResultByUID);
              avoidUnunsedVariableWarning( d);
            }
          }
  };
}


#endif
