/**************************************************************************
**       Title: svmtl command line application
**    $RCSfile: svmtl.cc,v $
**   $Revision: 1.2 $$Name:  $
**       $Date: 2004/09/09 14:41:58 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: svmtl.cc,v $
**  Revision 1.2  2004/09/09 14:41:58  ronneber
**  - cosmetic changes
**
**  Revision 1.1  2004/08/26 08:36:59  ronneber
**  initital import
**
**  Revision 1.1  2003/05/19 11:52:22  ronneber
**  initial revision (not yet working)
**
**
**
**************************************************************************/

#include <SVMApplication.hh>
#include <BasicFV.hh>
#include <AlgorithmLists.hh>
#include <DefaultMultiClassList.hh>
#include <DefaultTwoClassList.hh>
#include <DefaultOneClassList.hh>
#include <DefaultKernelList.hh>
#include <LoadSaveASCII.hh>

typedef svt::SVMApplication< svt::BasicFV,
                             svt::AlgorithmLists< svt::DefaultMultiClassList, 
                                                  svt::DefaultTwoClassList,
                                                  svt::DefaultOneClassList,
                                                  svt::DefaultKernelList>,
                             svt::LoadSaveASCII>  SVMApplicationDense;

int main( int argc, const char** argv)
{
  SVMApplicationDense sa;
  return sa.main( argc, argv, std::cout);
}
