/**************************************************************************
**       Title: 
**    $RCSfile: RequireSVMBasicTraining.hh,v $
**   $Revision: 1.1 $$Name:  $
**       $Date: 2004/08/26 08:36:59 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: RequireSVMBasicTraining.hh,v $
**  Revision 1.1  2004/08/26 08:36:59  ronneber
**  initital import
**
**
**
**************************************************************************/
#ifndef REQUIRESVMBASICTRAINING_HH
#define REQUIRESVMBASICTRAINING_HH

#include "RequireHelpers.hh"

namespace svt_check
{
  
  /*======================================================================*/
  /*!
   *  Ensure that SVM provides a typedef for a ModelType, a train(
   *  SVM_Problem, ModelType) 
   */
  /*======================================================================*/
  template<typename SVM, typename FV>
  class RequireSVMBasicTraining
  {
  public:
    ~RequireSVMBasicTraining()
          {
            if( false)
            {
              typename SVM::template Traits<FV>::ModelType model;
              SVM s;
              svt::SVM_Problem<FV> p;
              s.train( p, model);
            }
          }
  };
}


#endif
